Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.WorkItemOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.WorkItem, JBPMMessages.WorkItem.Builder

Enclosing class:
  JBPMMessages

    public static interface JBPMMessages.WorkItemOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`long` | `getId()` `optional int64 id = 1;`
`String` | `getName()` `optional string name = 3;`
`com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 3;`
`long` | `getProcessInstancesId()` `optional int64 process_instances_id = 2;`
`int` | `getState()` `optional int32 state = 4;`
`JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
`int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
`List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
`boolean` | `hasId()` `optional int64 id = 1;`
`boolean` | `hasName()` `optional string name = 3;`
`boolean` | `hasProcessInstancesId()` `optional int64 process_instances_id = 2;`
`boolean` | `hasState()` `optional int32 state = 4;`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasId

    boolean hasId()

  `optional int64 id = 1;`

### getId

    long getId()

  `optional int64 id = 1;`

### hasProcessInstancesId

    boolean hasProcessInstancesId()

  `optional int64 process_instances_id = 2;`

### getProcessInstancesId

    long getProcessInstancesId()

  `optional int64 process_instances_id = 2;`

### hasName

    boolean hasName()

  `optional string name = 3;`

### getName

    String getName()

  `optional string name = 3;`

### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

  `optional string name = 3;`

### hasState

    boolean hasState()

  `optional int32 state = 4;`

### getState

    int getState()

  `optional int32 state = 4;`

### getVariableList

    List<JBPMMessages.Variable> getVariableList()

  `repeated .org.jbpm.marshalling.Variable variable = 5;`

### getVariable

    JBPMMessages.Variable getVariable(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 5;`

### getVariableCount

    int getVariableCount()

  `repeated .org.jbpm.marshalling.Variable variable = 5;`

### getVariableOrBuilderList

    List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

  `repeated .org.jbpm.marshalling.Variable variable = 5;`

### getVariableOrBuilder

    JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 5;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.